<!DOCTYPE html>
<html lang="en-GB" xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>Test Page for Old-Fashioned Modal Dialog | Accessibility Works</title>
  <link rel="top" href="../../../index.html" title="Accessibility Works: Home page" />
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <link rel="stylesheet" type="text/css" media="screen" href="../../../css/verdemoderna.css" title="default" />
  <link rel="stylesheet" type="text/css" media="screen" href="modal-dialog-01.css" />
  <meta name="robots" content="noindex, nofollow" />
</head>
<body>
  <header id="header">
    <h1><span class="h1txt">Test Page for Old-Fashioned Modal Dialog</span></h1>
  </header>

  <main id="main">
    <p><strong>Disclaimer</strong>: this is just a demonstration of a modal dialog that has no real functionality.
      (You wouldn't normally have a cookie button in the middle of the page, but it demonstrates where focus is restored to when the modal dialog is closed.)
    </p>
    <p>See also the <a href="https://ebay.gitbook.io/mindpatterns/">eBay MIND Patterns</a>,
      especially the <a href="https://ebay.gitbook.io/mindpatterns/messaging/confirm-dialog">confirm dialog</a>.
    </p>
    <p><button id="cookie-opener">Open cookie dialog</button></p>
    <p>In Firefox 102.6.0esr (on openSUSE Leap with the <abbr>KDE</abbr> desktop), the keyboard focus moves between the browser chrome and the modal dialog,
      whereas in Chromium 108.0.5359.124 (openSUSE Build), the keyboard focus remains in the dialog.
    </p>
    <p>See also</p>
    <ul>
      <li><a href="https://developer.mozilla.org/en-US/docs/Web/API/Window/confirm">Window.confirm()</a> (<abbr>MDN</abbr>)</li>
      <li><a href="https://stackoverflow.com/questions/9073567/javascript-modal-to-replace-prompt">Javascript modal to replace prompt?</a> (<i class="website">Stack Overflow</i>, January 2012)</li>
      <li><a href="https://stackoverflow.com/questions/10300545/change-ok-cancel-on-window-prompt">Change OK/Cancel on window.prompt?</a> (<i class="website">Stack Overflow</i>, April 2012; the answer is that it can't be done)</li>
    </ul>
  </main>

  <footer id="footer">
    <p id="licence">
      <a class="image" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="../../../img/cc-licence-by-sa-88x31.png" /></a>
      <br />
      <span><a href="https://cstrobbe.gitlab.io/A11yWorks/">Accessibility Works</a></span>
      by
      <a href="https://gitlab.com/cstrobbe">Christophe Strobbe</a>
      is licensed under a <a lang="en-US" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
    </p>
    <p><a href="../../../sitemap.html">Site map</a>.</p>
    <p>You can <a href="https://gitlab.com/cstrobbe/A11yWorks">fork the code</a> on GitLab.</p>
  </footer>
  <!--commented out utilities.js after copying the function addLoadEvent into modal-dialog.js-->
  <!--script src="utilities.js"></script-->
  <script src="modal-dialog-00.js"></script>
</body>
</html>